package bank3tier.db; //Query.java

import jora.Cursor;
import jora.Table;

/**Represents a package-local query using JORA as persistence mechanism.
 * Converts the JORA result set to a List.
 * It does not contain any public methods other than the default constructor.
 * In the logic layer only the name of its subclasses are to be used in the form
 * MyQuery.class in order to distinguish this query.
 * @author Christoph Knabe 2005-05-07
 **/
public abstract class Query {
    
    /**Executes this query in this Pool on this JORA Table with these arguments 
     * and returns the result set of it as a JORA Cursor.*/
    /*package*/ abstract Cursor execute(
        final _JoraPool io_joraPool,
        final Table table, 
        final Object[] i_args
    ) throws Exception;

}
