/*
 * LgDatum.java
 *
 * Created on 28. Juni 2001, 17:51
 */

package bank3tier.lg;

/**Application specific date value type. The String representation is in local format.
*
* @author  Christoph Knabe
*/
public final class LgDatum {

    private final java.sql.Date _date;

    private LgDatum(final String i_datumString) throws java.text.ParseException {
        _date = new java.sql.Date(_formatter.parse(i_datumString).getTime());
    }

    /** Creates a new LgDatum from a date string in local format*/
    public static LgDatum fromString(final String i_datumString){
        try{ return new LgDatum(i_datumString);
        }catch(java.text.ParseException ex){
            throw new multex.Failure("Ungltige Datumsangabe \"{0}\"", ex, i_datumString);
        }
    }

    /**Creates a new LgDatum as a wrapper for a java.sql.Date*/
    public LgDatum(final java.sql.Date i_date){
        _date = i_date;
    }

    /**Returns the local String representation of this date object.*/
    public String toString(){
        return _formatter.format(_date);
    }

    /**Returns the wrapped Date object.*/
    public java.sql.Date toDate(){
        return _date;
    }

    private final static java.text.DateFormat _formatter
    = java.text.DateFormat.getDateInstance(); //default locale


}