package jora; //Failure.java

//2001-02-21  Knabe  With Object[] for unnamed parameters
//2001-02-15  Knabe  Added logging method
//2001-02-13  Knabe  Creation

/** Base class for all failures of JORA operations due to failing of indirectly
  * called operations.
*/
public class Failure extends multex.Failure {
    public Failure(
        final Exception i_cause, final Object i_object0, final Object i_object1,
        final Object i_object2
    ){
        this(i_cause, new Object[]{i_object0, i_object1, i_object2});
    }

    public Failure(
        final Exception i_cause, final Object i_object0, final Object i_object1
    ){
        this(i_cause, new Object[]{i_object0, i_object1});
    }

    public Failure(final Exception i_cause, final Object i_object0){
        this(i_cause, new Object[]{i_object0});
    }

    public Failure(final Exception i_cause){
        this(i_cause, new Object[]{});
    }

    public Failure(final Exception i_cause, final Object[] i_unnamedParameters){
        super("JORA operation failed", i_cause, i_unnamedParameters );
    }

    public Failure(final String i_defaultMessageTextPattern, final Exception i_cause){
        super(i_defaultMessageTextPattern, i_cause);
    }

    public Failure(final String i_defaultMessageTextPattern, final Exception i_cause, final Object i_object0){
        super(i_defaultMessageTextPattern, i_cause, i_object0);
    }

    public Failure(final String i_defaultMessageTextPattern, final Exception i_cause, final Object i_object0, final Object i_object1){
        super(i_defaultMessageTextPattern, i_cause, i_object0, i_object1);
    }

    public Failure(final String i_defaultMessageTextPattern, final Exception i_cause, final Object i_object0, final Object i_object1, final Object i_object2){
        super(i_defaultMessageTextPattern, i_cause, i_object0, i_object1, i_object2);
    }

    /**Currently without effect*/
    public static void log(final String i_name, final String i_text){
      //System.err.print(i_name); System.err.print(": ");
      //System.err.println(i_text);
    }

}
